function parameters = loadParametersMP_D()
prompt = {'Type  file name of the original image:'%1
          'Type spline wavelet packet order:'%2
          'Type the level till which wavelet packets are created:'%3
          'Type the maximal number of iterations:'%4
          'Type: std of kernel for convolution:'%5
          'Type bandwidth  for noise  estimation, 0 for real noise:'%6
          'Type  magnitude of noise:'%7
          'Type `y` if  to change noise, else enter `n`:'%8
          };
dlg_title = 'Input parameters';

load answerMP_D parameters nois
%default values
%parameters=[]
if (isempty(parameters))
   parameters = {'lena','4','6','100','3','300','10','y'}; 
end
parameters = inputdlg(prompt,dlg_title,1,parameters);
if (~isempty(parameters))
    save answerMP_D parameters nois
end

end